---
title: Download a product's audit timeline as an Excel file.
slug: api-documentation/download-a-products-audit-timeline-as-an-excel-file
docTags: 
createdAt: 2026-08-27T16:59:17.576Z
---

{
  "id": "I0u0idIzkkUVNcGOTJJmf",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/pim/audit-logs/pdp/export",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/audit-logs/pdp/export"
      }
    ],
    "name": "Download a product's audit timeline as an Excel file.",
    "description": "<p>A single product's audit events grouped by date, with the field changes of each, as an xlsx file. Only PRODUCT is supported.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/file"
          ],
          "default": "application/file"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site.",
          "minLength": 1
        },
        {
          "kind": "required",
          "name": "x-upstart-site",
          "type": "string",
          "description": "The site identifier.",
          "minLength": 1
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "entity",
          "type": "string",
          "description": "Entity type. Only PRODUCT is supported.",
          "enum": [
            "PRODUCT"
          ]
        },
        {
          "kind": "required",
          "name": "entityId",
          "type": "string",
          "description": "Entity id."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful file download",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ValidationErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "User's roles are insufficient for this endpoint.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "default",
        "description": "This is the default internal server error. System was not able to process this request.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "jp21EhSwJxNNPWs-L5mlF",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.upstartcommerce.com/pim/audit-logs/pdp/export?entity=PRODUCT&entityId=string' \\\n     --header 'accept: application/file' \\\n     --header 'x-upstart-tenant: string' \\\n     --header 'x-upstart-site: string'"
        },
        {
          "id": "r3_jYbcAGLGPMG8_PgSEA",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/file\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\nmyHeaders.append(\"x-upstart-site\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/audit-logs/pdp/export?entity=PRODUCT&entityId=string\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "_tGSo9RUF4HmF71x9DV-t",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/audit-logs/pdp/export?entity=PRODUCT&entityId=string\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/file\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest[\"x-upstart-site\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "ceqm0UUgFJLSrbPjhGIyr",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/pim/audit-logs/pdp/export?entity=PRODUCT&entityId=string\"\n\npayload = {}\nheaders = {\n   'accept': 'application/file',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string',\n   'x-upstart-site': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "jp21EhSwJxNNPWs-L5mlF"
    },
    "results": {
      "languages": [
        {
          "id": "I2_L5TW0nCK34mAaUrCDn",
          "language": "200",
          "code": "// Successful file download\n"
        },
        {
          "id": "NkR2KnMa9GKoif0QtO3Ym",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{}"
        },
        {
          "id": "LdbAIRb_9WYHbT_9BHQtv",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint.\n{}"
        },
        {
          "id": "jZuGy04w6OaFm8vehPR0j",
          "language": "403",
          "code": "// User's roles are insufficient for this endpoint.\n{}"
        },
        {
          "id": "24DMJVlzRlys5k8c_4dak",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{}"
        },
        {
          "id": "R8eC4N1Y3kpdMKUZYYMyq",
          "language": "default",
          "code": "// This is the default internal server error. System was not able to process this request.\n{}"
        }
      ],
      "selectedLanguageId": "I2_L5TW0nCK34mAaUrCDn"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}